:root{
    --primary: #224956;
    --secondary: #584656;
    --red: #900f0f;
    --green: #179b17;
}

html{
    height: max-content;
}

body{
    background-color: #111111;
    color: white;
    height: calc(100vh - 60px);
    font-family: Roboto, monospace, Ubuntu;
}

main{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}

footer{
    text-align: center;
}

input{
    width: 80%;
    background-color: #333;
    color: white;
    height: 3.5em;
    border-radius: 12px;
    margin-bottom: 16px;
}

input[type="checkbox"]{
    width: 30px;
    height: 30px;
}

a{
    color: lightblue
}

button{
    background-color: #444;
    color: white;
    width: 80%;
    height: 50px;
    border-radius: 12px;

}

.passivtext{
    color: #ccc;
    padding: 0px 8%;
}

.mainCard{
    background-color: #222222;
    border: #333333;
    box-shadow: rgba(0, 0, 0, 0.25) 0px 54px 55px, rgba(0, 0, 0, 0.12) 0px -12px 30px, rgba(0, 0, 0, 0.12) 0px 4px 6px, rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px;
    border-radius: 12px;
    padding: 16px 16px 16px 8px;
    display: flex;
    align-items: flex-start;
    flex-direction: column;
    gap: 8px;
}

.mainCard>section{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: left;
    text-align: center;
    gap: 16px;
    padding: 0 8%;
}

.mainCard>section>img{
    width: 40px;
    height: 40px;
}

form{
    display: flex;
    flex-direction: column;
    gap: 20px;
}

form>section{
    display: flex;
    text-align: center;
    align-items: center;
    gap: 30px;
    width: 100%;
    justify-content: space-between;
}

.true{
    color: var(--green);
}

#output{
    display: flex;
    width: 90%;
    flex-direction: column;

}

#output>hr{
    width: 100%;
}

output{
    font-size: larger;
    font-weight: bolder;
}

.level-1{
    --progress-color: #900f0f;
}

.level-2{
    --progress-color: #e65c00;
}

.level-3{
    --progress-color: #e6e600;
}

.level-4{
    --progress-color: #b3e600;
}

.level-5{
    --progress-color: #179b17;
}

progress[value] {
    -webkit-appearance: none;
    appearance: none;
    width: 50%;
    height: 15px;
    border-radius: 10px;
    overflow: hidden;
}

progress::-moz-progress-bar {
    background-color: var(--progress-color);
}

.progressContainer{
    width: 100%;
    display: flex;
    justify-content: center;
    margin-bottom: 12px;
    display: flex;
    flex-direction: column;
    align-items: flex-start !important;
}

.linkConatiner{
    width: 100%;
    display: flex;
    justify-content: center;
    margin-top: 12px;
    margin-bottom: 12px;
}